[import file="{{site_header|default(@theme/widgets/header-default.html)}}" container_class="{{site_header_class|default(site-header light)}}"][/import]

<div class="container-fluid ">
	<div class="row pos-relative theme-cover">
		[image id="{{term.featuredImage}}" mobile_id="{{term.mobileFeaturedImage}}"  background="1" mask="rgba(0,0,0,.4)" container_class="bg-gray-900 w-100 h-12"]
		<div class="col-md-8 pos-absolute bottom-1 offset-md-2 p-5 text-center color-white">
			[if notempty="{{term.hashtag}}"]
			<a class="badge post-badge hashtag"><span class="{{hashtag_class|default()}}">{{term.hashtag}}</span></a>
			[/if]
			<h1 class="{{theme_title_class|default(mb-4)}}">{{term.name}}<br>{{term.titleSecondary}}</h1>
			<div class="{{theme_description_class|default(fs-20px lh-120 fw-300 mb-3)}}">{{term.description}}</div>
			[share url="{{term.url}}" size="2rem" icon_class="fs-20px list-inline-item" /]

		</div>
	</div>
	[posts container_class="w-100 my-1"]
	{
		"query":{
			"numberposts": 48,
			"tax_query":[
				{"field":"term_id", "terms":[{{term.id}}], "taxonomy":"{{term.taxonomy}}"}
			]
		},
		"view":{
			"collection":{
				"layout": "grid",
				"grid_class":"row smart-grid",
				"item_class": "col-md-12 px-0 my-1"

			},
			"items":{
				"all": {
					"view":"@theme/post/card/cover",
					"title_class": "{{post_big_title_class|default(fs-40px)}}",
					"excerpt_class":"{{post_excerpt_class|default(fw-300 fs-20px mb-2 lh-120)}}",
					"caption_class": "smart-grid-caption col-md-6 bottom-1 px-4"

				},
				"3n+1":{
					"view":"@theme/post/card/cover",
					"title_class": "{{post_medium_title_class|default(fs-36px)}}",
					"excerpt_class":"{{post_excerpt_class|default(fw-300 fs-20px mb-2 lh-120)}}",
					"item_class":"col-md-7 px-0 pr-md-2 my-1",
					"caption_class":"smart-grid-caption  col-11 bottom-1 px-4"
					

				},
				"3n+2":{
					"view":"@theme/post/card/cover",
					"title_class": "{{post_medium_title_class|default(fs-36px)}}",
					"caption_class":"smart-grid-caption col-11 bottom-1 px-4",
					"excerpt_class":"{{post_excerpt_class|default(fw-300 fs-20px mb-2 lh-120)}}",
					"item_class":"col-md-5 px-0 my-1"
				
				}
			}
		}
	}
	[/posts]
</div>
<style>

body.rtl .card-archive-regular .post-genre,
		body.rtl .card-cover .post-genre, .post{
			font-size:38px !important;
			font-weight: 300;
		}
body.rtl .theme-cover .hashtag:before{
	margin-top: 10px;
}

</style>
<script>
	let cardNumber = $('.smart-grid').children().length;
	if ($(window).width()>768 && cardNumber%3==1){
		$('.smart-grid > div:nth-child('+cardNumber+')').attr('class', 'col-md-7 px-0 pl-md-2 my-1');
		$('.smart-grid > div:nth-child('+(cardNumber-1)+')').attr('class', 'col-md-5 px-0 my-1');
		$('.smart-grid > div:nth-child('+cardNumber+') .smart-grid-caption, .smart-grid > div:nth-child('+(cardNumber-1)+') .smart-grid-caption' ).attr('class', 'smart-grid-caption  col-11 bottom-1 px-4 direct-0 pos-absolute color-white');
		let titleClass= $('.smart-grid > div:first-child h1').attr('class');
		$('.smart-grid > div:nth-child('+(cardNumber-1)+') h1' ).attr('class', titleClass);


	}
</script>
[import file="{{site_footer|default(@theme/widgets/footer-default.html)}}" color="{{footer-color}}" container_class="site-footer bg-gray-blue"][/import]
